getCore()
getPlayer()

function AddPlayerXP(character)

 if isKeyDown(Keyboard.KEY_1) and
    isKeyDown(Keyboard.KEY_F3) then
     character:getXp():AddXP(Perks.Aiming, 250);
     character:getXp():AddXP(Perks.Reloading, 250);
 end

 if isKeyDown(Keyboard.KEY_2) and
    isKeyDown(Keyboard.KEY_F3) then
     character:getXp():AddXP(Perks.Axe, 250);
     character:getXp():AddXP(Perks.Blunt, 250);
     character:getXp():AddXP(Perks.Maintenance, 250);
     character:getXp():AddXP(Perks.Spear, 250);
     character:getXp():AddXP(Perks.SmallBlade, 250);
     character:getXp():AddXP(Perks.LongBlade, 250);
     character:getXp():AddXP(Perks.SmallBlunt, 250);
 end

 if isKeyDown(Keyboard.KEY_3) and
    isKeyDown(Keyboard.KEY_F3) then
     character:getXp():AddXP(Perks.Cooking, 250);
     character:getXp():AddXP(Perks.Woodwork, 250);
     character:getXp():AddXP(Perks.Electricity, 250);
     character:getXp():AddXP(Perks.Blacksmith, 250);
     character:getXp():AddXP(Perks.MetalWelding, 250);
     character:getXp():AddXP(Perks.Mechanics, 250);
     character:getXp():AddXP(Perks.Tailoring, 250);
     character:getXp():AddXP(Perks.FlintKnapping, 250);
     character:getXp():AddXP(Perks.Masonry, 250);
     character:getXp():AddXP(Perks.Pottery, 250);
     character:getXp():AddXP(Perks.Carving, 250);
     character:getXp():AddXP(Perks.Glassmaking, 250);
 end

 if isKeyDown(Keyboard.KEY_4) and
    isKeyDown(Keyboard.KEY_F3) then
     character:getXp():AddXP(Perks.Farming, 250);
     character:getXp():AddXP(Perks.Husbandry, 250);
     character:getXp():AddXP(Perks.Butchering, 250);
 end

 if isKeyDown(Keyboard.KEY_5) and
    isKeyDown(Keyboard.KEY_F3) then
     character:getXp():AddXP(Perks.Strength, 1000);
     character:getXp():AddXP(Perks.Fitness, 1000);
     character:getXp():AddXP(Perks.Lightfoot, 250);
     character:getXp():AddXP(Perks.Nimble, 250);
     character:getXp():AddXP(Perks.Sprinting, 250);
     character:getXp():AddXP(Perks.Sneak, 250);
 end

 if isKeyDown(Keyboard.KEY_6) and
    isKeyDown(Keyboard.KEY_F3) then
     character:getXp():AddXP(Perks.Fishing, 250);
     character:getXp():AddXP(Perks.Trapping, 250);
     character:getXp():AddXP(Perks.PlantScavenging, 250);
     character:getXp():AddXP(Perks.Doctor, 250);
     character:getXp():AddXP(Perks.Tracking, 250);
 end

end

Events.OnPlayerUpdate.Add(AddPlayerXP);